NX Open C++ Reference Guide
|
Represents a Flexible Cable feature builder. More...
Public Types | |
enum | BendAngleDirectionOptions { BendAngleDirectionOptionsReverseNormalDirection, BendAngleDirectionOptionsNormalDirection } |
This enum represents the bend angle direction for the bend segment. More... | |
enum | PathAdjustmentAngleDirectionOptions { PathAdjustmentAngleDirectionOptionsLeftDirection, PathAdjustmentAngleDirectionOptionsRightDirection } |
This enum represents the path adjustment angle direction for the bend segment. More... | |
enum | SegmentTypeOptions { SegmentTypeOptionsPlanar, SegmentTypeOptionsBend } |
Represents the Flexible Cable segment options. More... | |
Public Member Functions | |
NXOpen::Direction * | CableDirection () |
Returns the cable direction. | |
int | ConductorCount () |
Returns the count of conductors. | |
NXOpen::Expression * | ConductorSpacing () |
Returns the conductor spacing. | |
NXOpen::Expression * | ConductorWidth () |
Returns the conductor width. | |
NXOpen::Features::SheetMetal::FlexibleCableSegment * | CreateBendSegment (const NXString &bendAngle, const NXString &bendRadius, const NXString &pathAdjustmentAngle, NXOpen::Features::SheetMetal::FlexibleCableBuilder::BendAngleDirectionOptions bendAngleDirection, NXOpen::Features::SheetMetal::FlexibleCableBuilder::PathAdjustmentAngleDirectionOptions pathAdjustmentAngleDirection, int segmentIndex) |
Creates a new Features::SheetMetal::FlexibleCableSegment bend segment. | |
NXOpen::Features::SheetMetal::FlexibleCableSegment * | CreateBendSegment (const char *bendAngle, const char *bendRadius, const char *pathAdjustmentAngle, NXOpen::Features::SheetMetal::FlexibleCableBuilder::BendAngleDirectionOptions bendAngleDirection, NXOpen::Features::SheetMetal::FlexibleCableBuilder::PathAdjustmentAngleDirectionOptions pathAdjustmentAngleDirection, int segmentIndex) |
Creates a new Features::SheetMetal::FlexibleCableSegment bend segment. | |
NXOpen::Features::SheetMetal::FlexibleCableSegment * | CreatePlanarSegment (const NXString &length, int segmentIndex) |
Creates a new Features::SheetMetal::FlexibleCableSegment planar segment. | |
NXOpen::Features::SheetMetal::FlexibleCableSegment * | CreatePlanarSegment (const char *length, int segmentIndex) |
Creates a new Features::SheetMetal::FlexibleCableSegment planar segment. | |
NXOpen::Expression * | CrossSectionWidth () |
Returns the cross section width. | |
void | DeleteAllSegments () |
Deletes all cable segments. | |
void | DeleteSegment (int index) |
Deletes a cable segment at given index. | |
int | GetIndexOfSegment (NXOpen::Features::SheetMetal::FlexibleCableSegment *flexibleCableSegment) |
Returns the index of cable segment. | |
NXOpen::Features::SheetMetal::FlexibleCableSegment * | GetSegment (int index) |
Returns the cable segment at given index. | |
int | GetSegmentCount () |
Get the count of Features::SheetMetal::FlexibleCableSegment . | |
NXOpen::TaggedObjectList * | SegmentList () |
Returns the cable segment list. | |
void | SetCableDirection (NXOpen::Direction *cableDirection) |
Sets the cable direction. | |
void | SetConductorCount (int noOfConductors) |
Sets the count of conductors. | |
void | SetStartPoint (NXOpen::Point *startPoint) |
Sets the start point. | |
void | SetThicknessDirection (NXOpen::Direction *thicknessDirection) |
Sets the thickness direction. | |
NXOpen::Point * | StartPoint () |
Returns the start point. | |
NXOpen::Expression * | StrippingLength () |
Returns the stripping length. | |
NXOpen::Expression * | Thickness () |
Returns the thickness. | |
NXOpen::Direction * | ThicknessDirection () |
Returns the thickness direction. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Flexible Cable feature builder.
To create a new instance of this class, use Features::SheetMetal::SheetmetalManager::CreateFlexibleCableBuilder
Default values.
Property | Value |
---|---|
ConductorCount |
5 |
ConductorSpacing.Value |
1 (millimeters part), 0.1 (inches part) |
ConductorWidth.Value |
2 (millimeters part), 0.2 (inches part) |
CrossSectionWidth.Value |
20 (millimeters part), 1 (inches part) |
StrippingLength.Value |
3 (millimeters part), 0.3 (inches part) |
Thickness.Value |
1 (millimeters part), 0.04 (inches part) |
Created in NX6.0.0.
This enum represents the bend angle direction for the bend segment.
First member of the cable is always a planar segment. For this, the normal direction for bend angle is opposite to the thickness direction. This convention continues untill a fold (bend type having nonzero path adjustment angle) is placed. After this, the convention reverses, meaning the normal direction for the bend angle is along the thickness direction. For each member, the thickness direction signifies the material addition direction. This is an input for the entire cable at the start.
This enum represents the path adjustment angle direction for the bend segment.
The cross product of the cable direction and the bend angle direction determined using above convention gives the right direction for the path adjustment angle. The left direction is opposite to that.
Represents the Flexible Cable segment options.
SegmentTypeOptionsPlanar |
Planar cable segment. |
SegmentTypeOptionsBend |
Bend cable segment. |
NXOpen::Direction* NXOpen::Features::SheetMetal::FlexibleCableBuilder::CableDirection | ( | ) |
Returns the cable direction.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
int NXOpen::Features::SheetMetal::FlexibleCableBuilder::ConductorCount | ( | ) |
Returns the count of conductors.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Features::SheetMetal::FlexibleCableBuilder::ConductorSpacing | ( | ) |
Returns the conductor spacing.
Created in NX6.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Features::SheetMetal::FlexibleCableBuilder::ConductorWidth | ( | ) |
Returns the conductor width.
Created in NX6.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Features::SheetMetal::FlexibleCableSegment* NXOpen::Features::SheetMetal::FlexibleCableBuilder::CreateBendSegment | ( | const NXString & | bendAngle, |
const NXString & | bendRadius, | ||
const NXString & | pathAdjustmentAngle, | ||
NXOpen::Features::SheetMetal::FlexibleCableBuilder::BendAngleDirectionOptions | bendAngleDirection, | ||
NXOpen::Features::SheetMetal::FlexibleCableBuilder::PathAdjustmentAngleDirectionOptions | pathAdjustmentAngleDirection, | ||
int | segmentIndex | ||
) |
Creates a new Features::SheetMetal::FlexibleCableSegment bend segment.
This can be either appended at the end, or inserted in between the list. This is decided by the input index.
bendAngle | Bend angle. NOTE: The full Unicode character set is not supported for this parameter. |
bendRadius | Bend radius. NOTE: The full Unicode character set is not supported for this parameter. |
pathAdjustmentAngle | Path adjustment angle. NOTE: The full Unicode character set is not supported for this parameter. |
bendAngleDirection | Features::SheetMetal::FlexibleCableBuilder::BendAngleDirectionOptions |
pathAdjustmentAngleDirection | Features::SheetMetal::FlexibleCableBuilder::PathAdjustmentAngleDirectionOptions |
segmentIndex | Index. |
NXOpen::Features::SheetMetal::FlexibleCableSegment* NXOpen::Features::SheetMetal::FlexibleCableBuilder::CreateBendSegment | ( | const char * | bendAngle, |
const char * | bendRadius, | ||
const char * | pathAdjustmentAngle, | ||
NXOpen::Features::SheetMetal::FlexibleCableBuilder::BendAngleDirectionOptions | bendAngleDirection, | ||
NXOpen::Features::SheetMetal::FlexibleCableBuilder::PathAdjustmentAngleDirectionOptions | pathAdjustmentAngleDirection, | ||
int | segmentIndex | ||
) |
Creates a new Features::SheetMetal::FlexibleCableSegment bend segment.
This can be either appended at the end, or inserted in between the list. This is decided by the input index.
bendAngle | Bend angle. NOTE: The full Unicode character set is not supported for this parameter. |
bendRadius | Bend radius. NOTE: The full Unicode character set is not supported for this parameter. |
pathAdjustmentAngle | Path adjustment angle. NOTE: The full Unicode character set is not supported for this parameter. |
bendAngleDirection | Features::SheetMetal::FlexibleCableBuilder::BendAngleDirectionOptions |
pathAdjustmentAngleDirection | Features::SheetMetal::FlexibleCableBuilder::PathAdjustmentAngleDirectionOptions |
segmentIndex | Index. |
NXOpen::Features::SheetMetal::FlexibleCableSegment* NXOpen::Features::SheetMetal::FlexibleCableBuilder::CreatePlanarSegment | ( | const NXString & | length, |
int | segmentIndex | ||
) |
Creates a new Features::SheetMetal::FlexibleCableSegment planar segment.
This can be either appended at the end, or inserted in between the list. This is decided by the input index.
length | Length. NOTE: The full Unicode character set is not supported for this parameter. |
segmentIndex | Index. |
NXOpen::Features::SheetMetal::FlexibleCableSegment* NXOpen::Features::SheetMetal::FlexibleCableBuilder::CreatePlanarSegment | ( | const char * | length, |
int | segmentIndex | ||
) |
Creates a new Features::SheetMetal::FlexibleCableSegment planar segment.
This can be either appended at the end, or inserted in between the list. This is decided by the input index.
length | Length. NOTE: The full Unicode character set is not supported for this parameter. |
segmentIndex | Index. |
NXOpen::Expression* NXOpen::Features::SheetMetal::FlexibleCableBuilder::CrossSectionWidth | ( | ) |
Returns the cross section width.
Created in NX6.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
void NXOpen::Features::SheetMetal::FlexibleCableBuilder::DeleteAllSegments | ( | ) |
Deletes all cable segments.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
void NXOpen::Features::SheetMetal::FlexibleCableBuilder::DeleteSegment | ( | int | index | ) |
Deletes a cable segment at given index.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
index | Index of the Features::SheetMetal::FlexibleCableSegment which needs to be deleted. |
int NXOpen::Features::SheetMetal::FlexibleCableBuilder::GetIndexOfSegment | ( | NXOpen::Features::SheetMetal::FlexibleCableSegment * | flexibleCableSegment | ) |
Returns the index of cable segment.
flexibleCableSegment | Features::SheetMetal::FlexibleCableSegment . |
NXOpen::Features::SheetMetal::FlexibleCableSegment* NXOpen::Features::SheetMetal::FlexibleCableBuilder::GetSegment | ( | int | index | ) |
Returns the cable segment at given index.
index | Index of the required Features::SheetMetal::FlexibleCableSegment . |
int NXOpen::Features::SheetMetal::FlexibleCableBuilder::GetSegmentCount | ( | ) |
Get the count of Features::SheetMetal::FlexibleCableSegment .
NXOpen::TaggedObjectList* NXOpen::Features::SheetMetal::FlexibleCableBuilder::SegmentList | ( | ) |
Returns the cable segment list.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
void NXOpen::Features::SheetMetal::FlexibleCableBuilder::SetCableDirection | ( | NXOpen::Direction * | cableDirection | ) |
Sets the cable direction.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
cableDirection | cabledirection |
void NXOpen::Features::SheetMetal::FlexibleCableBuilder::SetConductorCount | ( | int | noOfConductors | ) |
Sets the count of conductors.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
noOfConductors | Number of conductors of cable. |
void NXOpen::Features::SheetMetal::FlexibleCableBuilder::SetStartPoint | ( | NXOpen::Point * | startPoint | ) |
Sets the start point.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
startPoint | startpoint |
void NXOpen::Features::SheetMetal::FlexibleCableBuilder::SetThicknessDirection | ( | NXOpen::Direction * | thicknessDirection | ) |
Sets the thickness direction.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
thicknessDirection | thicknessdirection |
NXOpen::Point* NXOpen::Features::SheetMetal::FlexibleCableBuilder::StartPoint | ( | ) |
Returns the start point.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Features::SheetMetal::FlexibleCableBuilder::StrippingLength | ( | ) |
Returns the stripping length.
Created in NX6.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Features::SheetMetal::FlexibleCableBuilder::Thickness | ( | ) |
Returns the thickness.
Created in NX6.0.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Direction* NXOpen::Features::SheetMetal::FlexibleCableBuilder::ThicknessDirection | ( | ) |
Returns the thickness direction.
Created in NX7.5.0.
License requirements : nx_flexible_pcb ("NX Flexible PCB")